Subject: Re: 7.3 docs

From: "Magnus Hagander" <[email-masked]>
Date: Mon, 6 Mar 2006 10:57:08 +0100

> >> I thought that was pre-8.1. :-)
> >> 
> >> But yeah, it's a point. I'll look towards other more 
> efficient ways 
> >> to decreas the docs build process :-)
> >> 
> > I don't think we need to keep the 7.3 interactive docs... 
> The static 
> > docs are probably still good to have around.
> 
> I'm about 50-50 split on this one ... but, if we are still 
> actively supporting a version of PostgreSQL, we are 
> acknowledging that ppl *are* still using it, and, therefore, 
> ppl could still be annotating the interactie docs ...
> 
> But ... the docs themselves are pretty static, so *why* are 
> they being regenerated on a regular basis in the first place? 
>  Couldn't you just regenerate those files that have comments 
> attached to them, instead of all of them each time?  It would 
> make the mirrors faster too, since they wouldn't have to pull 
> down new copies of the complete docs each time, but only 
> those pages that have actually had changes made to them ...

Yeah, that would be the "more efficient ways". It's the main problem
with how the site is built now - there's basically a mirror script that
runs across the whole site as a web-browser and pulls it all down. It
takes about an hour ion the new vm with docs incldued (on the old one,
that would be 20+ hours). When nothing has changed it the docs and very
little in the main site (the normal way) it takes 5-10 minutes less.

The good news is that with the new VM we now appear completeyl CPU-bound
with the php mirror script instead of I/O bound as we were with unionfs.

Oh, and we don't actually *update* the other files. It takes almost as
long to verify that they haven't changed, since we then pull down the
page through http and compare it to the file. We only write it when it
has changed. And yes, that optimisation helped a lot for the mirror
syncup time.

//Magnus